# Release package for rasperry pi

Name: circle-linux-release-rpi

# Version is based on the EL it is part of
Version: 8.0
Release: 1%{?dist}
Summary: Rasperry Pi packages for Circle Linux

# License is based on the Circle Linux License chosen for the distribution
# and not the software itself
License: BSD-3-Clause

Source0: Circle-RPi.repo
Source1: rootfs-expand
Source2: README
Source3: fix-wifi-rpi4.sh

BuildArch: noarch
BuildRequires: systemd

Requires: circle-linux-release >= 8.5
Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd

Requires: circle-linux-release
Provides: circle-linux-release-rpi = 8

%description
This package contains the DNF repo files for Rasperry Pi packages provided
by the Rocky Linux Release Engineering team, as well as a small rootfs utility.

%install
install -D -m 644 %{SOURCE0} %{buildroot}%{_sysconfdir}/yum.repos.d/Circle-RPi.repo
install -d -m 0755 %{buildroot}/%{_bindir}
install -d -m 0755 %{buildroot}/%{_sysconfdir}/skel
install -p -m 0755 %{SOURCE1} %{buildroot}/%{_bindir}/rootfs-expand
install -p -m 0755 %{SOURCE3} %{buildroot}/%{_bindir}/fix-wifi-rpi4.sh
install -p -m 0644 %{SOURCE2} %{buildroot}/%{_sysconfdir}/skel/README

%post

%preun

%postun

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/yum.repos.d/Circle-RPi.repo
%attr(0755,root,root) %{_bindir}/rootfs-expand
%attr(0755,root,root) %{_bindir}/fix-wifi-rpi4.sh
%attr(0644,root,root) %{_sysconfdir}/skel/README

%changelog
* Thu Feb 10 2022 Jack An <euroford@cclinux.org> - 8.0-1
- Init spec for rpi
